# Makefile for Ocotillo pseudo-random number generator
#
# This software is Copyright 1999 Enhanced Software Techologies Inc.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. All advertising materials mentioning features or use of this software
#    must display the following acknowledgement:
#	This product includes software developed by Enhanced Software
#	Technologies Inc. and its contributors.
# 4. Neither the name of the Company nor the names of its contributors
#    may be used to endorse or promote products derived from this software
#    without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COMPANY AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE COMPANY OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
##########################################################################
# 
# Please address questions and/or comments to eric@estinc.com . 
#
# RCS CHANGE LOG
# $Log$
# Revision 1.2  2001/01/07 15:36:40  len
# Replaced 'cc' with 'gcc', and added an environmental variable 'CC', to force
# the platform's compiler to use the gnu compiler, instead of its native compiler.
# The gnu compiler is known to perform more consistently across all platforms.
#
# Revision 1.1  2001/01/06 10:46:00  eric
# Initial checkin of ocotillo.
#
# Revision 1.1  1999/09/13 15:35:12  eric
# Initial checkin.
#
#
# $Date$

VERSION=0.3
CFLAGS= -g -DBSD_PS
CC=gcc

all: ocrandom

distclean: clean

clean:
	rm -f *.o *~
	rm -f ocrandom

dist: distclean
	./makedist $(VERSION)

ocrandom: dstring.o md5c.o twofish.o ocrandom.o ocmain.o
	$(CC) -o ocrandom dstring.o md5c.o twofish.o ocrandom.o ocmain.o

ocmain.o: ocrandom.h ocmain.c

ocrandom.o: ocrandom.c ocrandom.h
	$(CC) -c -g -DNO_OUTPUT_POOL ocrandom.c

ocmain.o: ocrandom.h ocmain.c

dstring.o: dstring.c dstring.h config.h

md5c.o: md5c.c md5.h config.h

twofish.o: twofish.c twofish.h

